## argyll 1.0.3+dfsg1

=== Makefile ===
# default Makefile to involke Jam

all::
	jam -q -fJambase -j 3

clean::
	jam clean

install:;
	jam -q -fJambase -j 3 install

=== imdi/Makefile ===

# Boilerplate Makefile for compiling imdi

# Copyright 2000 - 2007 Graeme W. Gill
# This material is licenced under the GNU GENERAL PUBLIC LICENSE Version 3 :-
# see the License.txt file for licencing details.

# "include" the right environment for your system,
# by uncommenting the appropriate line:

# Microsoft VC++, WinNT setup
include Makefile.WNT

# Generic UNIX setup
#include Makefile.UNIX

# Apple OS X
#include Makefile.OSX


###############################

#Set optimisation on
CCFLAGS = $(CCFLAGSDEF) $(CCOPTFLAG) $(CCDEFINES) $(BCONFIG)

#Set debugging on
#CCFLAGS = $(CCFLAGSDEF) $(CCDEBUGFLAG) $(CCDEFINES) $(BCONFIG)
# debugging #define
#CCFLAGS = $(CCFLAGSDEF) $(CCDEBUGFLAG) $(CCDEFINES) $(DEFFLAG)DEBUG
LINKFLAGS = $(LINKFLAGSDEF) $(LINKDEBUGFLAG)

STDHDRS = $(INCFLAG)$(STDHDRSDEF)

all:: libimdi$(SUFLIB)

# Used by both code generator and runtime
imdi_make$(SUFEXE): imdi_make$(SUFOBJ) imdi_gen$(SUFOBJ) cgen$(SUFOBJ)
	$(LINK) $(LINKOF)imdi_make$(SUFEXE) imdi_make$(SUFOBJ) imdi_gen$(SUFOBJ) cgen$(SUFOBJ)


# The code generator program

cgen$(SUFOBJ): cgen.c imdi_utl.h imdi_arch.h imdi_gen.h imdi_tab.h
	$(CC) cgen.c

imdi_gen$(SUFOBJ): imdi_gen.c imdi_utl.h imdi_arch.h imdi_gen.h
	$(CC) imdi_gen.c

# Generate the kernel files
imdi_k.h imdi_k.c : imdi_make$(SUFEXE)
	.$(SLASH)imdi_make$(SUFEXE) 


# imdi runtime library

imdi$(SUFOBJ): imdi.c imdi.h imdi_tab.h imdi_k.h imdi_k.c
	$(CC) imdi.c

libimdi$(SUFLIB): imdi$(SUFOBJ) imdi_tab$(SUFOBJ)
	$(LIBU) $(LIBOF)$@ imdi$(SUFOBJ) imdi_tab$(SUFOBJ)
	$(RANLIB) libimdi$(SUFLIB)

## argyll 1.1.1

=== icc/Makefile ===
# UNIX style makefile, for icclib and friends.
# "include" the right environment for your system,
# by uncommenting the appropriate line:

# Microsoft C++, WinNT setup
include Makefile.WNT

# IBM C++, WinNT setup
#include Makefile.IBMNT

# Generic UNIX setup
#include Makefile.UNIX

# Apple OSX
#include Makefile.OSX

###############################

#Compile with separate stdio
#CCDEFINES = $(DEFFLAG)SEPARATE_STD

#Set optimisation on
CCFLAGS = $(CCFLAGSDEF) $(CCOPTFLAG) $(CCDEFINES)

#Set debugging on
#CCFLAGS = $(CCFLAGSDEF) $(CCDEBUGFLAG) $(CCDEFINES)

STDHDRS = $(STDHDRSDEF)
LINKFLAGS = $(LINKFLAGSDEF) $(LINKDEBUGFLAG)

all:: libicc$(SUFLIB) icctest$(SUFEXE) lutest$(SUFEXE) icclu$(SUFEXE) iccdump$(SUFEXE) iccrw$(SUFEXE)


icc$(SUFOBJ): icc.c icc.h
	$(CC) $(CCOF)icc$(SUFOBJ) icc.c

libicc$(SUFLIB): icc$(SUFOBJ)
	$(LIBU) $(LIBOF)libicc$(SUFLIB) icc$(SUFOBJ)
	$(RANLIB) libicc$(SUFLIB)


# Separate for executables
iccstd$(SUFOBJ): iccstd.c icc.h
	$(CC) $(CCOF)iccstd$(SUFOBJ) iccstd.c


icctest$(SUFOBJ): icctest.c icc.h
	$(CC) $(CCOF)icctest$(SUFOBJ) icctest.c

icctest$(SUFEXE): icctest$(SUFOBJ) iccstd$(SUFOBJ) libicc$(SUFLIB)
	$(LINK) $(LINKOF)icctest$(SUFEXE) icctest$(SUFOBJ) iccstd$(SUFOBJ) libicc$(SUFLIB)


lutest$(SUFOBJ): lutest.c icc.h
	$(CC) $(CCOF)lutest$(SUFOBJ) lutest.c

lutest$(SUFEXE): lutest$(SUFOBJ) iccstd$(SUFOBJ) libicc$(SUFLIB)
	$(LINK) $(LINKOF)lutest$(SUFEXE) lutest$(SUFOBJ) iccstd$(SUFOBJ) libicc$(SUFLIB)


icclu$(SUFOBJ): icclu.c icc.h
	$(CC) $(CCOF)icclu$(SUFOBJ) icclu.c

icclu$(SUFEXE): icclu$(SUFOBJ) iccstd$(SUFOBJ) libicc$(SUFLIB)
	$(LINK) $(LINKOF)icclu$(SUFEXE) icclu$(SUFOBJ) iccstd$(SUFOBJ) libicc$(SUFLIB)


iccdump$(SUFOBJ): iccdump.c icc.h
	$(CC) $(CCOF)iccdump$(SUFOBJ) iccdump.c

iccdump$(SUFEXE): iccdump$(SUFOBJ) iccstd$(SUFOBJ) libicc$(SUFLIB)
	$(LINK) $(LINKOF)iccdump$(SUFEXE) iccdump$(SUFOBJ) iccstd$(SUFOBJ) libicc$(SUFLIB)


iccrw$(SUFOBJ): iccrw.c icc.h
	$(CC) $(CCOF)iccrw$(SUFOBJ) iccrw.c

iccrw$(SUFEXE): iccrw$(SUFOBJ) iccstd$(SUFOBJ) libicc$(SUFLIB)
	$(LINK) $(LINKOF)iccrw$(SUFEXE) iccrw$(SUFOBJ) iccstd$(SUFOBJ) libicc$(SUFLIB)

=== libusbw/Makefile ===
# LIBUSB-WIN32, Generic Windows USB Library
# Copyright (c) 2002-2005 Stephan Meyer <ste_meyer@web.de>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA



# If you're cross-compiling and your mingw32 tools are called
# i586-mingw32msvc-gcc and so on, then you can compile libusb-win32
# by running
#    make host_prefix=i586-mingw32msvc all


ifdef host_prefix
	override host_prefix := $(host_prefix)-
endif

CC = $(host_prefix)gcc
LD = $(host_prefix)ld
WINDRES = $(host_prefix)windres
DLLTOOL = $(host_prefix)dlltool

MAKE = make
CP = cp
CD = cd
MV = mv
RM = -rm -fr
TAR = tar
ISCC = iscc
INSTALL = install
LIB = lib
IMPLIB = implib
UNIX2DOS = unix2dos

VERSION_MAJOR = 0
VERSION_MINOR = 1
VERSION_MICRO = 12
VERSION_NANO = 1

VERSION = $(VERSION_MAJOR).$(VERSION_MINOR).$(VERSION_MICRO).$(VERSION_NANO)
RC_VERSION = $(VERSION_MAJOR),$(VERSION_MINOR),$(VERSION_MICRO),$(VERSION_NANO)
RC_VERSION_STR = '\"$(VERSION)\"'
INST_VERSION = $(VERSION)

INF_DATE = $(shell date +"%m/%d/%Y")
DATE = $(shell date +"%Y%m%d")

DDK_MAKE_DIR = ./ddk_make

TARGET = libusb
DLL_TARGET = $(TARGET)$(VERSION_MAJOR)
LIB_TARGET = $(TARGET)
DRIVER_TARGET = $(TARGET)$(VERSION_MAJOR).sys

DLL_TARGET_X64 = $(TARGET)$(VERSION_MAJOR)_x64
DRIVER_TARGET_X64 = $(TARGET)$(VERSION_MAJOR)_x64.sys

INSTALL_DIR = /usr
DLL_OBJECTS = usb.o error.o descriptors.o windows.o resource.o install.o \
	registry.o 

DRIVER_OBJECTS = abort_endpoint.o claim_interface.o clear_feature.o \
	dispatch.o get_configuration.o \
	get_descriptor.o get_interface.o get_status.o \
	ioctl.o libusb_driver.o pnp.o release_interface.o reset_device.o \
	reset_endpoint.o set_configuration.o set_descriptor.o \
	set_feature.o set_interface.o transfer.o vendor_request.o \
	power.o driver_registry.o driver_debug.o libusb_driver_rc.o 

INSTALLER_NAME = $(TARGET)-win32-filter-bin-$(INST_VERSION).exe
SRC_DIST_DIR = $(TARGET)-win32-src-$(INST_VERSION)
BIN_DIST_DIR = $(TARGET)-win32-device-bin-$(INST_VERSION)


DIST_SOURCE_FILES = ./src
DIST_MISC_FILES = COPYING_LGPL.txt COPYING_GPL.txt AUTHORS.txt

SRC_DIR = ./src
DRIVER_SRC_DIR = $(SRC_DIR)/driver

VPATH = .:./src:./src/driver:./tests

INCLUDES = -I./src -I./src/driver -I.

CFLAGS = -O2 -Wall -mno-cygwin
WIN_CFLAGS = $(CFLAGS) -mwindows

CPPFLAGS = -DVERSION_MAJOR=$(VERSION_MAJOR) \
	-DVERSION_MINOR=$(VERSION_MINOR) \
	-DVERSION_MICRO=$(VERSION_MICRO) \
	-DVERSION_NANO=$(VERSION_NANO) \
	-DINF_DATE='$(INF_DATE)' \
	-DINF_VERSION='$(VERSION)' \
  -DDBG

WINDRES_FLAGS = -I./src -DRC_VERSION='$(RC_VERSION)' \
								-DRC_VERSION_STR=$(RC_VERSION_STR)

LDFLAGS = -s -mno-cygwin -L. -lusb -lgdi32 -luser32 -lcfgmgr32 \
	 				-lsetupapi -lcomctl32
WIN_LDFLAGS = $(LDFLAGS) -mwindows


DLL_LDFLAGS = -s -mdll -mno-cygwin \
	-Wl,--kill-at \
	-Wl,--out-implib,$(LIB_TARGET).a \
	-Wl,--enable-stdcall-fixup \
	-L. -lcfgmgr32 -lsetupapi 


DRIVER_LDFLAGS = -s -shared -Wl,--entry,_DriverEntry@8 \
	-nostartfiles -nostdlib -L. -lusbd -lntoskrnl -lhal


EXE_FILES = testlibusb.exe testlibusb-win.exe inf-wizard.exe install-filter.exe


.PHONY: all
all: $(DLL_TARGET).dll $(EXE_FILES) $(DRIVER_TARGET) README.txt

$(DLL_TARGET).dll: $(DLL_OBJECTS)
	$(CC) -o $@ $(DLL_OBJECTS) $(DLL_TARGET).def $(DLL_LDFLAGS)


$(DRIVER_TARGET): libusbd.a $(DRIVER_OBJECTS)
	$(CC) -o $@ $(DRIVER_OBJECTS) $(DLL_TARGET)_drv.def $(DRIVER_LDFLAGS)

libusbd.a:
	$(DLLTOOL) --dllname usbd.sys --add-underscore --def ./src/driver/usbd.def \
		--output-lib libusbd.a

inf-wizard.exe: inf_wizard_rc.o inf_wizard.o registry.o error.o
	$(CC) $(WIN_CFLAGS) -o $@ -I./src  $^ $(WIN_LDFLAGS)

testlibusb.exe: testlibusb.o
	$(CC) $(CFLAGS) -o $@ -I./src  $^ $(LDFLAGS)

install-filter.exe: install_filter.o
	$(CC) $(CFLAGS) -o $@ -I./src  $^ $(WIN_LDFLAGS)

testlibusb-win.exe: testlibusb_win.o testlibusb_win_rc.o
	$(CC) $(WIN_CFLAGS) -o $@ -I./src  $^ $(WIN_LDFLAGS)

%.o: %.c libusb_driver.h driver_api.h
	$(CC) -c $< -o $@ $(CFLAGS) $(CPPFLAGS) $(INCLUDES) 

%.o: %.rc
	$(WINDRES) $(WINDRES_FLAGS) $< -o $@

README.txt: README.in
	sed -e 's/@VERSION@/$(INST_VERSION)/' $< > $@


.PHONY: bcc_implib
bcc_lib:
	$(IMPLIB) -a $(LIB_TARGET).lib $(DLL_TARGET).dll

.PHONY: msvc_lib
msvc_lib:
	$(LIB) /machine:i386 /def:$(DLL_TARGET).def 
	$(MV) $(DLL_TARGET).lib $(LIB_TARGET).lib

.PHONY: bin_dist
bin_dist: all
	$(INSTALL) -d $(BIN_DIST_DIR)/lib/gcc
	$(INSTALL) -d $(BIN_DIST_DIR)/lib/bcc
	$(INSTALL) -d $(BIN_DIST_DIR)/lib/msvc
	$(INSTALL) -d $(BIN_DIST_DIR)/lib/msvc_x64
	$(INSTALL) -d $(BIN_DIST_DIR)/lib/dynamic
	$(INSTALL) -d $(BIN_DIST_DIR)/include
	$(INSTALL) -d $(BIN_DIST_DIR)/bin
	$(INSTALL) -d $(BIN_DIST_DIR)/examples

	$(INSTALL) $(EXE_FILES) $(BIN_DIST_DIR)/bin

	$(INSTALL) $(DRIVER_TARGET) $(BIN_DIST_DIR)/bin
	$(INSTALL) $(DLL_TARGET).dll $(BIN_DIST_DIR)/bin

	$(INSTALL) $(DDK_MAKE_DIR)/$(DRIVER_TARGET) $(BIN_DIST_DIR)/bin/$(DRIVER_TARGET_X64)
	$(INSTALL) $(DDK_MAKE_DIR)/$(DLL_TARGET).dll $(BIN_DIST_DIR)/bin/$(DLL_TARGET_X64).dll

	$(INSTALL) $(SRC_DIR)/usb.h $(BIN_DIST_DIR)/include
	$(INSTALL) $(LIB_TARGET).a $(BIN_DIST_DIR)/lib/gcc
	$(MAKE) bcc_lib 
	$(INSTALL) $(LIB_TARGET).lib $(BIN_DIST_DIR)/lib/bcc
	$(MAKE) msvc_lib
	$(INSTALL) $(LIB_TARGET).lib $(BIN_DIST_DIR)/lib/msvc
	$(INSTALL) $(DDK_MAKE_DIR)/$(LIB_TARGET).lib $(BIN_DIST_DIR)/lib/msvc_x64
	$(INSTALL) $(SRC_DIR)/libusb_dyn.c $(BIN_DIST_DIR)/lib/dynamic
	$(INSTALL) $(DIST_MISC_FILES) README.txt $(BIN_DIST_DIR)
	$(INSTALL) ./examples/*.iss $(BIN_DIST_DIR)/examples
	$(INSTALL) ./examples/*.c $(BIN_DIST_DIR)/examples
	$(UNIX2DOS) $(BIN_DIST_DIR)/examples/*.iss
	$(UNIX2DOS) $(BIN_DIST_DIR)/*.txt

.PHONY: src_dist
src_dist:
	$(INSTALL) -d $(SRC_DIST_DIR)/src
	$(INSTALL) -d $(SRC_DIST_DIR)/src/driver
	$(INSTALL) -d $(SRC_DIST_DIR)/tests
	$(INSTALL) -d $(SRC_DIST_DIR)/examples
	$(INSTALL) -d $(SRC_DIST_DIR)/ddk_make

	$(INSTALL) $(SRC_DIR)/*.c $(SRC_DIST_DIR)/src
	$(INSTALL) $(SRC_DIR)/*.h $(SRC_DIST_DIR)/src
	$(INSTALL) $(SRC_DIR)/*.rc $(SRC_DIST_DIR)/src

	$(INSTALL) ./examples/*.iss $(SRC_DIST_DIR)/examples
	$(INSTALL) ./ddk_make/sources* $(SRC_DIST_DIR)/ddk_make
	$(INSTALL) ./ddk_make/makefile $(SRC_DIST_DIR)/ddk_make
	$(INSTALL) ./ddk_make/*.txt $(SRC_DIST_DIR)/ddk_make
	$(INSTALL) ./ddk_make/*.bat $(SRC_DIST_DIR)/ddk_make
	$(UNIX2DOS)	$(SRC_DIST_DIR)/ddk_make/*

	$(INSTALL) $(SRC_DIR)/driver/*.h $(SRC_DIST_DIR)/src/driver
	$(INSTALL) $(SRC_DIR)/driver/*.c $(SRC_DIST_DIR)/src/driver
	$(INSTALL) $(SRC_DIR)/driver/*.def $(SRC_DIST_DIR)/src/driver
	$(INSTALL) $(SRC_DIR)/driver/*.rc $(SRC_DIST_DIR)/src/driver

	$(INSTALL) ./tests/*.c $(SRC_DIST_DIR)/tests
	$(INSTALL) ./tests/*.rc $(SRC_DIST_DIR)/tests
	$(INSTALL) $(DIST_MISC_FILES) *.in Makefile manifest.txt *.def \
		installer_license.txt $(SRC_DIST_DIR)
	$(UNIX2DOS) $(SRC_DIST_DIR)/*.txt


.PHONY: dist
dist: bin_dist src_dist
	sed -e 's/@VERSION@/$(INST_VERSION)/' \
		-e 's/@BIN_DIST_DIR@/$(BIN_DIST_DIR)/' \
		-e 's/@SRC_DIST_DIR@/$(SRC_DIST_DIR)/' \
		-e 's/@INSTALLER_TARGET@/$(INSTALLER_TARGET)/' \
		install.iss.in > install.iss
	$(UNIX2DOS) install.iss
	$(TAR) -czf $(SRC_DIST_DIR).tar.gz $(SRC_DIST_DIR) 
	$(TAR) -czf $(BIN_DIST_DIR).tar.gz $(BIN_DIST_DIR)
	$(ISCC) install.iss
	$(RM) $(SRC_DIST_DIR)
	$(RM) $(BIN_DIST_DIR)

.PHONY: snapshot
snapshot: INST_VERSION = $(DATE)
snapshot: dist

.PHONY: clean
clean:	
	$(RM) *.o *.dll *.a *.exp *.lib *.exe *.tar.gz *~ *.iss *.rc *.h
	$(RM) ./src/*~ *.sys *.log
	$(RM) $(DRIVER_SRC_DIR)/*~
	$(RM) README.txt

=== tiff/Makefile ===
# Boilerplate Makefile for compiling tifflib under Windows

# Microsoft C++, WinNT setup
#include Makefile.WNT

# IBM C++, WinNT setup
include Makefile.IBMNT

# Generic UNIX setup
#include Makefile.UNIX

###############################

#Set optimisation on
#CCFLAGS = $(CCFLAGSDEF) $(CCOPTFLAG)
#Set debugging on
CCFLAGS = $(CCFLAGSDEF) $(CCDEBUGFLAG)
STDHDRS = $(STDHDRSDEF)
LINKFLAGS = $(LINKFLAGSDEF) $(LINKDEBUGFLAG)

all:: libtiff$(SUFLIB)

# support library for generation utilities

PORTOBJ = port/getopt$(SUFOBJ) port/strcasecmp$(SUFOBJ) port/strtoul$(SUFOBJ)

libport$(SUFLIB): $(PORTOBJ)
	$(LIBU) $(LIBOF)$@ $?

# generation utilities
mkg3states$(SUFEXE) : libtiff/mkg3states$(SUFOBJ) libport$(SUFLIB)
	$(LINK) $(LINKOF)$@ libtiff/mkg3states$(SUFOBJ) libport$(SUFLIB)

libtiff/tif_fax3sm.c : mkg3states$(SUFEXE)
	mkg3states -c const libtiff\tif_fax3sm.c

# version file
mkversion$(SUFEXE) : libtiff/mkversion$(SUFOBJ)
	$(LINK) $(LINKOF)$@ libtiff/mkversion$(SUFOBJ)

libtiff/version.h : mkversion$(SUFEXE)
	mkversion -v VERSION -a dist/tiff.alpha -r RELEASE-DATE libtiff\version.h


# tiff library itlsef
#
#IPATH on libtiff =	../jpeg ;

LIBOBJS = libtiff/tif_fax3$(SUFOBJ) libtiff/tif_aux$(SUFOBJ) libtiff/tif_close$(SUFOBJ) \
          libtiff/tif_codec$(SUFOBJ) libtiff/tif_fax3sm$(SUFOBJ) libtiff/tif_predict$(SUFOBJ) \
          libtiff/tif_compress$(SUFOBJ) libtiff/tif_dir$(SUFOBJ) libtiff/tif_dirinfo$(SUFOBJ) \
          libtiff/tif_dirread$(SUFOBJ) libtiff/tif_dirwrite$(SUFOBJ) \
          libtiff/tif_dumpmode$(SUFOBJ) libtiff/tif_error$(SUFOBJ) \
          libtiff/tif_getimage$(SUFOBJ) libtiff/tif_flush$(SUFOBJ) libtiff/tif_luv$(SUFOBJ) \
          libtiff/tif_lzw$(SUFOBJ) libtiff/tif_next$(SUFOBJ) libtiff/tif_open$(SUFOBJ) \
          libtiff/tif_packbits$(SUFOBJ) libtiff/tif_print$(SUFOBJ) libtiff/tif_read$(SUFOBJ) \
          libtiff/tif_swab$(SUFOBJ) libtiff/tif_strip$(SUFOBJ) libtiff/tif_thunder$(SUFOBJ) \
          libtiff/tif_tile$(SUFOBJ) libtiff/tif_version$(SUFOBJ) libtiff/tif_warning$(SUFOBJ) \
          libtiff/tif_write$(SUFOBJ) libtiff/tif_msdos$(SUFOBJ)

libtiff$(SUFLIB): $(LIBOBJS) libtiff/version.h
	$(LIBU) $(LIBOF)$@  $(LIBOBJS)

#ObjectHdrs libtiff.lib : $(IPATH) ;
#Library libtiff.lib : $(LIBSRCS) ;
#
## copy header file to lib directory
#File tiff.h : libtiff/tiff.h ;
#File tiffio.h : libtiff/tiffio.h ;
#

## argyll 1.3.3

=== debian/changelog ===
argyll (1.3.3-0ubuntu4) oneiric; urgency=low

  * debian/control, debian/rules, debian/docs, debian/libicc2.install,
    debian/libicc-dev.install, debian/argyll.install, debian/argyll.examples,
    debian/README.Debian, debian/local/configure.ac, debian/local/Makefile.am:
    Reverted the merge of the argyll and libicc2 source packages. Only libicc2
    is really needed for Oneiric's new color management stack. Argyll is not
    absolutely needed and its upstream source is far from suitable for use in
    Linux distributions. It uses the jam build system which is unmaintained for
    years and it ships patched derivatives of system libraries (libusb). For
    calibration instrument support it must be decided between one of two
    solution, either a general improvement of Argyll's architecture or moving
    of calibration hardware drivers into colord. This cannot be decided any
    more in Oneiric and needs to get worked out with upstream.
  * debian/rules: Removed /usr/bin/icclu and /usr/bin/iccdump as these are
    already in the libicc2 package.
  * debian/control: Removed conflict with libicc as we have removed the
    conflicting files.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 10 Aug 2011 06:34:41 +0200

argyll (1.3.3-0ubuntu3) oneiric; urgency=low

  * debian/rules: Remove /usr/bin/License.txt
  * debian/libicc-dev.install: Do not install *.la files.
  * debian/libicc2.symbols: Provise symbols file for the shared library.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 10 Aug 2011 00:43:41 +0200

argyll (1.3.3-0ubuntu2) oneiric; urgency=low

  * debian/control, debian/rules, debian/docs, debian/libicc2.install,
    debian/libicc-dev.install, debian/argyll.install, debian/argyll.preinst,
    debian/argyll.postrm, debian/argyll.examples, debian/README.Debian,
    debian/README.Spyder2, debian/local/configure.ac, debian/local/Makefile.am,
    debian/local/firmware-package-builder: Merged the unsplitting of the
    Debian package with libicc2 from 1.2.0-0 in Debian experimental, the use
    of the original upstream Jam build system from Pascal de Bruijn's PPA,
    the simple automake/autoconf build system from the former standalone
    libicc2, and the quilt patch system from the recent Ubuntu Argyll
    packages into one new Ubuntu package. Binary package versioning is done
    with the method introduced by the unsplitting in Debian experimental. In
    addition, now everything which is not part of the upstream source is in
    the debian/ directory.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 06 Aug 2011 02:14:41 +0200

argyll (1.3.3-0ubuntu1) oneiric; urgency=low

  * Updated Argyll by using the package from Pascal de Bruijn's PPA
    (LP: #782584).
  * argyll-correct-link-command-lines.patch: Correct the linker command lines
    to have the "-l..." arguments for linking with the system's libraries at
    the end. From Oneiric on this is needed.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 05 Aug 2011 09:38:41 +0200

argyll (1.3.3-0pmjdebruijn2~natty) natty; urgency=low

  * Added Replaces for libicc2 to prevent problems with iccdump/icclu.

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Sun, 29 May 2011 00:28:10 +0200

argyll (1.3.3-0pmjdebruijn1~natty) natty; urgency=low

  * New upstream release.

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Sun, 15 May 2011 23:09:10 +0200

argyll (1.3.0-3) experimental; urgency=low

  * Minor future-proofing in debian/rules.
  * Also removed redundant shipping of the firmware-package-builder
    tarball, thanks to Pascal de Bruijn for noticing.

 -- Roland Mas <lolando@debian.org>  Fri, 17 Sep 2010 11:05:22 +0200

argyll (1.3.0-2) experimental; urgency=low

  * Fixed packaging bugs introduced when un-splitting the source package.

 -- Roland Mas <lolando@debian.org>  Tue, 14 Sep 2010 11:29:27 +0200

argyll (1.3.0-1) experimental; urgency=low

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Wed, 08 Sep 2010 15:16:29 +0200

argyll (1.2.1-1) experimental; urgency=low

  * New upstream bugfix release.
  * Please welcome Xavier Oswald as uploader.

 -- Roland Mas <lolando@debian.org>  Sun, 05 Sep 2010 15:50:41 +0200

argyll (1.2.0-0) UNRELEASED; urgency=low

  * New upstream release.
  * Unsplit libicc2, built from the same source package again (since
    upstream only ships it as part of Argyll anyway).
  * Bumped Standards-Version to 3.9.1 (no changes).
  * argyll-firmware-spyder2: Moved firmware to /usr/share/color, which is
    freedesktop.org-compliant and (more to the point) where Argyll 1.2.0
    looks for it.

 -- Roland Mas <lolando@debian.org>  Thu, 05 Aug 2010 15:33:20 +0200

argyll (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Switched dependency on policykit-1 to a more correct recommendation on
    consolekit + recent udev.
  * Updated copyright file (doc is now GFDL-1.3).
  * Bumped Standards-Version to 3.8.4 (no changes required).

 -- Roland Mas <lolando@debian.org>  Wed, 24 Feb 2010 21:26:55 +0100

argyll (1.1.0-5) unstable; urgency=low

  * Bumped version build-dependency on libicc-dev to prevent segmentation
    fault.

 -- Roland Mas <lolando@debian.org>  Mon, 25 Jan 2010 19:06:07 +0100

argyll (1.1.0-4) unstable; urgency=low

  * Adapted packaging to new udev rules, now compatible with PolicyKit-1
    (closes: #529411).  This should fix device file permissions problems,
    too (closes: #549406).  And also the "deprecated udev function"
    warning (closes: #564269).
  * Removed conffiles no longer shipped by the package.

 -- Roland Mas <lolando@debian.org>  Mon, 25 Jan 2010 13:47:59 +0100

argyll (1.1.0-3) unstable; urgency=low

  * Only depend on udev for Linux systems.

 -- Roland Mas <lolando@debian.org>  Mon, 25 Jan 2010 11:42:54 +0100

argyll (1.1.0-2) unstable; urgency=low

  * Fix build on FreeBSD, patch from Petr Salinger
    <Petr.Salinger@seznam.cz> (closes: #566768).

 -- Roland Mas <lolando@debian.org>  Mon, 25 Jan 2010 10:29:33 +0100



=== debian/local/firmware-package-builder/argyll-firmware-spyder2/debian/changelog ===
argyll-firmware-spyder2 (1.1) unstable; urgency=low

  * Moved firmware to /usr/share/color, which is freedesktop.org-compliant
    and (more to the point) where Argyll 1.2.0 looks for it.

 -- Roland Mas <lolando@debian.org>  Thu, 05 Aug 2010 15:32:53 +0200

argyll-firmware-spyder2 (1.0) unstable; urgency=low

  * Package automatically generated from the Spyder2 driver CD.

 -- Roland Mas <lolando@debian.org>  Fri, 17 Apr 2009 22:28:37 +0200

=== debian/control ===
Source: argyll
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Roland Mas <lolando@debian.org>
Uploaders: Xavier Oswald <xoswald@debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7.0.50~), libtiff4-dev, libx11-dev, libxxf86vm-dev,
 x11proto-xf86vidmode-dev, libxinerama-dev, libxrandr-dev,
 x11proto-scrnsaver-dev, libxss-dev, jam, quilt,
 libusbhid-dev [kfreebsd-amd64 kfreebsd-i386]
Homepage: http://www.argyllcms.com/
Vcs-Bzr: http://bzr.debian.org/pkg-phototools/argyll/debian/sid/
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-phototools/argyll/debian/sid/changes

Package: argyll
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: argyll-bin
Recommends: consolekit, udev (>= 146~) [linux-any]
Conflicts: argyll-bin
Description: Color Management System, calibrator and profiler
 Argyll is an experimental, open source, ICC compatible color management
 system. It supports accurate ICC profile creation for scanners, CMYK
 printers, film recorders and calibration and profiling of displays.
 Spectral sample data is supported, allowing a selection of illuminants
 observer types, and paper fluorescent whitener additive compensation.
 Profiles can also incorporate source specific gamut mappings for perceptual
 and saturation intents. Gamut mapping and profile linking uses the CIECAM02
 appearance model, a unique gamut mapping algorithm, and a wide selection of
 rendering intents. It also includes code for the fastest portable 8 bit
 raster color conversion engine available anywhere, as well as support for
 fast, fully accurate 16 bit conversion. Device color gamuts can also be
 viewed and compared using a VRML viewer.

Package: argyll-dbg
Architecture: any
Depends: argyll, ${misc:Depends}, ${shlibs:Depends}
Description: Color Management System, calibrator and profiler (debug)
 Argyll is an experimental, open source, ICC compatible color management
 system. 
 .
 This package contains the debugging symbols.

=== debian/local/firmware-package-builder/argyll-firmware-spyder2/debian/control ===
Source: argyll-firmware-spyder2
Section: non-free/graphics
Priority: optional
Maintainer: Roland Mas <lolando@debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.1

Package: argyll-firmware-spyder2
Architecture: all
Recommends: argyll
Depends: ${misc:Depends}
Description: ColorVision Spyder2 firmware for Argyll
 Argyll is an open source, ICC compatible color management system.  It
 can drive display calibrators such as the ColorVision Spyder2, which
 requires a firmware to be uploaded to the device.  This package is
 generated from the drivers CD provided with the Spyder2, and contains
 the firmware ready to be used by Argyll.

=== debian/local/firmware-package-builder/argyll-firmware-spyder2/debian/rules ===
#! /usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	cp /usr/local/share/color/spyd2PLD.bin .

override_dh_auto_clean:
	rm -f spyd2PLD.bin

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	rm -rf firmware-package-builder

override_dh_auto_configure:

override_dh_auto_build:
	jam -q -f Jambase -s DESTDIR=debian/tmp -s PREFIX=/usr -j 3

override_dh_auto_install:
	jam -q -f Jambase -s DESTDIR=debian/tmp -s PREFIX=/usr -j 3 install
	rm debian/tmp/usr/bin/License.txt
	rm debian/tmp/usr/bin/icclu
	rm debian/tmp/usr/bin/iccdump

override_dh_installchangelogs:
	dh_installchangelogs log.txt

build: firmware-package-builder/spyder2.tar.gz

firmware-package-builder/%.tar.gz: debian/local/firmware-package-builder/argyll-firmware-%
	mkdir -p firmware-package-builder
	cp -a $< firmware-package-builder
	chmod +x firmware-package-builder/$(notdir $<)/debian/rules
	tar cfCz $@ firmware-package-builder $(notdir $<)

override_dh_strip:
	dh_strip --dbg-package=argyll-dbg

.PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_build override_dh_auto_install override_dh_installchangelogs build override_dh_strip

## argyll 1.3.5

=== debian/changelog ===
argyll (1.3.5-7) unstable; urgency=low

  * Really fix previous bug.
  * Use debhelper 9.

 -- Christian Marillat <marillat@debian.org>  Tue, 13 Mar 2012 08:41:01 +0100

argyll (1.3.5-6) unstable; urgency=low

  * Fix another bug in ColorHugColorHug (Closes: #661643)

 -- Christian Marillat <marillat@debian.org>  Sun, 11 Mar 2012 16:59:06 +0100

argyll (1.3.5-5) unstable; urgency=low

  * Fix two bugs in ColorHugColorHug patch (Closes: #657582).

 -- Christian Marillat <marillat@debian.org>  Sat, 28 Jan 2012 01:42:30 +0100

argyll (1.3.5-4) unstable; urgency=low

  * New patch 03_add-ColorHug_sensor_driver to add support for the ColorHug
    sensor (Closes: #655888)

 -- Christian Marillat <marillat@debian.org>  Tue, 17 Jan 2012 18:22:51 +0100

argyll (1.3.5-3) unstable; urgency=low

  * debian/rules Enable make distclean (Closes: #649728).

 -- Christian Marillat <marillat@debian.org>  Wed, 23 Nov 2011 15:17:42 +0100

argyll (1.3.5-2) unstable; urgency=low

  * Don't package icclu and iccdump binaries in argyll, files already in
    libicc2 package.

 -- Christian Marillat <marillat@debian.org>  Mon, 21 Nov 2011 08:25:40 +0100

argyll (1.3.5-1) unstable; urgency=low

  [ Christian Marillat ]
  * New maintainer (Closes: #622620) Thanks, Roland!
  * Use dh-autoreconf.

  [ Dmitry Nezhevenko ]
  * New upstream release (Closes: #647093).
  * Switch to dpkg-source 3.0 (quilt) format.
  * Merge debian changes from 1.3.0 (experimental) and 1.1.1 (unstable).
  * Unsplit libicc2, built from the same source package again (since
    upstream only ships it as part of Argyll anyway).  Actually was already
    done in experimental (Closes: #636801).
  * Use kfreebsd-any instead of kfreebsd-(i386|amd64) to match kFreeBSD
    (Closes: #634688).
  * Provide dedicated libimdi0/libimdi-dev libraries (Closes: #611139).
  * Add argyll-dbg package with debug symbols.

 -- Christian Marillat <marillat@debian.org>  Sun, 13 Nov 2011 15:30:42 +0100

argyll (1.1.1-2) unstable; urgency=medium

  * QA upload.
  * Add ../libargyll.la to LDADD (Closes: #615692).
  * Don't ship .la files (Closes: #621142).

 -- Luk Claes <luk@debian.org>  Sat, 11 Jun 2011 11:18:43 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with quilt

# Doesn't work for now.
#--parallel

override_dh_auto_configure:
	autoreconf -f -i
	LDFLAGS="-Wl,--as-needed -Wl,--no-undefined" dh_auto_configure

override_dh_auto_clean:
	dh_clean imdi/imdi_k.c ref/RefMediumGamut.gam \
	libusb/Makefile libusb/config.h libusb/config.log libusb/usb.h	\
	libusb/config.status libusb/doc/Makefile libusb/libtool		\
	libusb/libusb-config libusb/libusb.pc libusb/stamp-h1		\
	libusb/tests/Makefile firmware-package-builder/*.tar.gz

#	[ -z $(shell grep -c jam Makefile) ] || rm Makefile
#	[ ! -f Makefile ] || $(MAKE) distclean
	-make distclean

override_dh_auto_install: firmware-package-builder/spyder2.tar.gz
	dh_auto_install

	rm debian/tmp/usr/share/doc/argyll/DocLicense.txt
	rm debian/tmp/usr/share/doc/argyll/License.txt

	-rm `find $(CURDIR)/debian/tmp -name '*.la'`

override_dh_install:
	dh_install --fail-missing

#	for i in $$(cat debian/libicc2.install debian/libicc-dev.install) ; do rm -f $(CURDIR)/debian/argyll/$$i ; done
#	rm $(CURDIR)/debian/argyll/usr/share/doc/argyll/License.txt $(CURDIR)/debian/argyll/usr/share/doc/argyll/DocLicense.txt
#	for i in average refine targen verify ; do mv $(CURDIR)/debian/argyll/usr/bin/$$i $(CURDIR)/debian/argyll/usr/bin/argyll-$$i ; done

override_dh_installchangelogs:
	dh_installchangelogs log.txt

LIBICC_VERSION=$(shell awk -F= '/^LIBICC_VERSION=/ { print $$2 }' icc/Makefile.am)
ARGYLL_VERSION=$(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')

override_dh_gencontrol:
	dh_gencontrol -plibicc2 -- -v$(LIBICC_VERSION)+argyll$(ARGYLL_VERSION)
	dh_gencontrol -plibicc-dev -- -v$(LIBICC_VERSION)+argyll$(ARGYLL_VERSION)
	dh_gencontrol --remaining-packages

#build: firmware-package-builder/spyder2.tar.gz

firmware-package-builder/%.tar.gz: firmware-package-builder/argyll-firmware-%
	chmod +x $</debian/rules
	tar cfCz $@ firmware-package-builder $(notdir $<)

override_dh_strip:
	dh_strip --dbg-package=argyll-dbg

override_dh_builddeb:
	dh_builddeb -- -Zbzip2

build-manpages:
	help2man -N --no-discard-stderr --name="Dump an ICC file in human readable form." /usr/bin/iccdump > debian/iccdump.1
	help2man -N --no-discard-stderr --name="Translate colors through an ICC profile." /usr/bin/icclu > debian/icclu.1
	help2man -N --no-discard-stderr --name="Apply device calibration to an ICC profile." /usr/bin/applycal > debian/applycal.1
	help2man -N --no-discard-stderr --name="Average or merge values in .ti3 like files." /usr/bin/average > debian/average.1
	help2man -N --no-discard-stderr --name="Convert Colorblind raw device profile data to Argyll data." /usr/bin/cb2ti3 > debian/cb2ti3.1
	help2man -N --no-discard-stderr --name="Color Correct a TIFF file using any sequence of ICC profiles or Calibrations." /usr/bin/cctiff > debian/cctiff.1
	help2man -N --no-discard-stderr --name="Plot spectrum and calculate CCT and VCT." /usr/bin/ccttest > debian/ccttest.1
	help2man -N --no-discard-stderr --name="Create CCMX or CCSS." /usr/bin/ccxxmake > debian/ccxxmake.1
	help2man -N --no-discard-stderr --name="Read Target Test Chart." /usr/bin/chartread > debian/chartread.1
	help2man -N --no-discard-stderr --name="Link ICC profiles." /usr/bin/collink > debian/collink.1
	help2man -N --no-discard-stderr --name="Create ICC profile." /usr/bin/colprof > debian/colprof.1
	help2man -N --no-discard-stderr --name="Calibrate a Display." /usr/bin/dispcal > debian/dispcal.1
	help2man -N --no-discard-stderr --name="Read a Display." /usr/bin/dispread > debian/dispread.1
	help2man -N --no-discard-stderr --name="Test display patch window, Set Video LUTs, Install profiles." /usr/bin/dispwin > debian/dispwin.1
	help2man -N --no-discard-stderr --name="Extract an ICC profile from a TIFF file." /usr/bin/extracticc > debian/extracticc.1
	help2man -N --no-discard-stderr --name="Extract a text tag from an ICC profile." /usr/bin/extractttag > debian/extractttag.1
	help2man -N --no-discard-stderr --name="Create a fake CMY data file from a CMYK profile." /usr/bin/fakeCMY > debian/fakeCMY.1
	help2man -N --no-discard-stderr --name="Fake test chart reader - lookup values in ICC/MPP profile." /usr/bin/fakeread > debian/fakeread.1
	help2man -N --no-discard-stderr --name="Convert a TIFF file to monochrome using an ICC device profile." /usr/bin/greytiff > debian/greytiff.1
	help2man -N --no-discard-stderr --name="Translate X-Rite EDR to Argyll .ccss format, & install." /usr/bin/i1d3ccss > debian/i1d3ccss.1
	help2man -N --no-discard-stderr --name="Dump an ICC file in human readable form." /usr/bin/iccdump > debian/iccdump.1
	help2man -N --no-discard-stderr --name="Create Lab/Jab gamut plot." /usr/bin/iccgamut > debian/iccgamut.1
	help2man -N --no-discard-stderr --name="Measure an illuminant." /usr/bin/illumread > debian/illumread.1
	help2man -N --no-discard-stderr --name="Check fwd to bwd relative transfer of an ICC file." /usr/bin/invprofcheck > debian/invprofcheck.1
	help2man -N --no-discard-stderr --name="Convert Kodak raw printer profile data to Argyll print data." /usr/bin/kodak2ti3 > debian/kodak2ti3.1
	help2man -N --no-discard-stderr --name="Check Model Printer Profile." /usr/bin/mppcheck > debian/mppcheck.1
	help2man -N --no-discard-stderr --name="Translate colors through an MPP profile." /usr/bin/mpplu > debian/mpplu.1
	help2man -N --no-discard-stderr --name="Create Model Printer Profile." /usr/bin/mppprof > debian/mppprof.1
	help2man -N --no-discard-stderr --name="Plot device space path L in/out curve from an ICC link file." /usr/bin/pathplot > debian/pathplot.1
	help2man -N --no-discard-stderr --name="Create printer calibration." /usr/bin/printcal > debian/printcal.1
	help2man -N --no-discard-stderr --name="Generate Target PostScrip file." /usr/bin/printtarg > debian/printtarg.1
	help2man -N --no-discard-stderr --name="Check accuracy of ICC profile." /usr/bin/profcheck > debian/profcheck.1
	help2man -N --no-discard-stderr --name="Create abstract correction profile given table of absolute CIE correction values." /usr/bin/refine > debian/refine.1
	help2man -N --no-discard-stderr --name="Invert AtoB1 to make BtoA1 for CMYK profiles." /usr/bin/revfix > debian/revfix.1
	help2man -N --no-discard-stderr --name="Scanin." /usr/bin/scanin > debian/scanin.1
	help2man -N --no-discard-stderr --name="Create Optimsed separation." /usr/bin/sepgen > debian/sepgen.1
	help2man -N --no-discard-stderr --name="Create Simple CMYK Device Profile." /usr/bin/simpprof > debian/simpprof.1
	help2man -N --no-discard-stderr --name="Convert spectral .ti3 file." /usr/bin/spec2cie > debian/spec2cie.1
	help2man -N --no-discard-stderr --name="Plot spectrum and calculate CCT and VCT." /usr/bin/specplot > debian/specplot.1
	help2man -N --no-discard-stderr --name="Split a .ti3 into two." /usr/bin/splitti3 > debian/splitti3.1
	help2man -N --no-discard-stderr --name="Read Print Spot values." /usr/bin/spotread > debian/spotread.1
	help2man -N --no-discard-stderr --name="Transfer Spyder 2 PLD pattern from file." /usr/bin/spyd2en > debian/spyd2en.1
	help2man -N --no-discard-stderr --name="Create a synthetic calibration file." /usr/bin/synthcal > debian/synthcal.1
	help2man -N --no-discard-stderr --name="Synthetic device model test chart reader." /usr/bin/synthread > debian/synthread.1
	help2man -N --no-discard-stderr --name="Generate Target deviceb test chart color values." /usr/bin/targen > debian/targen.1
	help2man -N --no-discard-stderr --name="Create VRML image of the gamut surface of a TIFF." /usr/bin/tiffgamut > debian/tiffgamut.1
	help2man -N --no-discard-stderr --name="Convert Gretag/Logo or X-Rite ColorPport raw RGB or CMYK device profile data to Argyll CGATS data." /usr/bin/txt2ti3 > debian/txt2ti3.1
	help2man -N --no-discard-stderr --name="Verify CIE values." /usr/bin/verify > debian/verify.1
	help2man -N --no-discard-stderr --name="View gamuts." /usr/bin/viewgam > debian/viewgam.1
	help2man -N --no-discard-stderr --name="Translate colors through an xicc." /usr/bin/xicclu > debian/xicclu.1

## argyll 1.3.6

=== debian/changelog ===
argyll (1.3.6-2) unstable; urgency=low

  * debian/rules Fix clean target.

 -- Christian Marillat <marillat@debian.org>  Mon, 19 Mar 2012 16:50:40 +0100

argyll (1.3.6-1) unstable; urgency=low

  * New upstream release.
  * Removed 03_add-ColorHug_sensor_driver patch, but beware the support for
    ColorHug is experimental.

 -- Christian Marillat <marillat@debian.org>  Mon, 19 Mar 2012 10:55:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: argyll
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Roland Mas <lolando@debian.org>
+Maintainer: Christian Marillat <marillat@debian.org>
 Uploaders: Xavier Oswald <xoswald@debian.org>
-Standards-Version: 3.9.1
-Build-Depends: debhelper (>= 7.0.50~), libtiff4-dev, libx11-dev, libxxf86vm-dev,
- x11proto-xf86vidmode-dev, libxinerama-dev, libxrandr-dev,
- x11proto-scrnsaver-dev, libxss-dev, jam, quilt,
- libusbhid-dev [kfreebsd-amd64 kfreebsd-i386]
 Homepage: http://www.argyllcms.com/
 Vcs-Bzr: http://bzr.debian.org/pkg-phototools/argyll/debian/sid/
 Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-phototools/argyll/debian/sid/changes
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), libtiff4-dev, libx11-dev, libxxf86vm-dev,
+ x11proto-xf86vidmode-dev, libxinerama-dev, libxrandr-dev, x11proto-scrnsaver-dev,
+ libxss-dev, libusbhid-dev [kfreebsd-any], autoconf, automake | automaken, libtool,
+ quilt
 
 Package: argyll
 Architecture: any
@@ -34,11 +33,65 @@
  viewed and compared using a VRML viewer.
 
 Package: argyll-dbg
+Section: debug
 Architecture: any
-Depends: argyll, ${misc:Depends}, ${shlibs:Depends}
-Description: Color Management System, calibrator and profiler (debug)
+Priority: extra
+Depends: argyll (= ${binary:Version}), ${misc:Depends}
+Description: debugging symbols for argyll
  Argyll is an experimental, open source, ICC compatible color management
- system. 
+ system. It supports accurate ICC profile creation for scanners, CMYK
+ printers, film recorders and calibration and profiling of displays.
  .
- This package contains the debugging symbols.
+ This package contains the debugging symbols for argyll, libicc and libimdi
+ libraries
 
+Package: libicc-dev
+Section: libdevel
+Architecture: any
+Depends: libicc2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Conflicts: argyll (<< 1.0.3+dfsg1-3)
+Description: Development files for the ICC profile I/O library
+ The icclib is a set of routines which implement the reading and
+ writing of color profile files that conform to the International
+ Color Consortium (ICC) Profile Format Specification, Version 3.4.
+ .
+ This package is needed to compile programs against libicc2, as
+ it only includes the header files and static libraries (optionally)
+ needed for compiling.
+
+Package: libicc2
+Section: libs
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: argyll
+Description: ICC profile I/O library
+ The icclib is a set of routines which implement the reading and
+ writing of color profile files that conform to the International
+ Color Consortium (ICC) Profile Format Specification, Version 3.4.
+
+Package: libimdi-dev
+Section: libdevel
+Architecture: any
+Depends: libimdi0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Conflicts: argyll (<< 1.3.0-3)
+Description: Development files for the IMDI library
+ The Interger Multi-Dimensional Interpolation routines provides a flexible
+ and high performance system for applying color transforms to typical raster 
+ pixel data.
+ .
+ This package is needed to compile programs against libimdi0, as
+ it only includes the header files and static libraries (optionally)
+ needed for compiling.
+
+Package: libimdi0
+Section: libs
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: argyll (<< 1.3.0-3)
+Description: Integer Multi-Dimensional Interpolation routines (IMDI) library
+ The Interger Multi-Dimensional Interpolation routines provides a flexible
+ and high performance system for applying color transforms to typical raster 
+ pixel data.
+

=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,9 @@
 	libusb/tests/Makefile firmware-package-builder/*.tar.gz
 
 #	[ -z $(shell grep -c jam Makefile) ] || rm Makefile
-#	[ ! -f Makefile ] || $(MAKE) distclean
-	-make distclean
+	[ ! -f Makefile ] || $(MAKE) distclean
+
+#	-make distclean
 
 override_dh_auto_install: firmware-package-builder/spyder2.tar.gz
 	dh_auto_install
@@ -95,13 +96,13 @@
 	help2man -N --no-discard-stderr --name="Create abstract correction profile given table of absolute CIE correction values." /usr/bin/refine > debian/refine.1
 	help2man -N --no-discard-stderr --name="Invert AtoB1 to make BtoA1 for CMYK profiles." /usr/bin/revfix > debian/revfix.1
 	help2man -N --no-discard-stderr --name="Scanin." /usr/bin/scanin > debian/scanin.1
-	help2man -N --no-discard-stderr --name="Create Optimsed separation." /usr/bin/sepgen > debian/sepgen.1
 	help2man -N --no-discard-stderr --name="Create Simple CMYK Device Profile." /usr/bin/simpprof > debian/simpprof.1
 	help2man -N --no-discard-stderr --name="Convert spectral .ti3 file." /usr/bin/spec2cie > debian/spec2cie.1
 	help2man -N --no-discard-stderr --name="Plot spectrum and calculate CCT and VCT." /usr/bin/specplot > debian/specplot.1
 	help2man -N --no-discard-stderr --name="Split a .ti3 into two." /usr/bin/splitti3 > debian/splitti3.1
 	help2man -N --no-discard-stderr --name="Read Print Spot values." /usr/bin/spotread > debian/spotread.1
 	help2man -N --no-discard-stderr --name="Transfer Spyder 2 PLD pattern from file." /usr/bin/spyd2en > debian/spyd2en.1
+	help2man -N --no-discard-stderr --name="Transfer Spyder 2 PLD pattern from file." /usr/bin/spyd4en > debian/spyd4en.1
 	help2man -N --no-discard-stderr --name="Create a synthetic calibration file." /usr/bin/synthcal > debian/synthcal.1
 	help2man -N --no-discard-stderr --name="Synthetic device model test chart reader." /usr/bin/synthread > debian/synthread.1
 	help2man -N --no-discard-stderr --name="Generate Target deviceb test chart color values." /usr/bin/targen > debian/targen.1

## argyll 1.4.0

=== debian/changelog ===
argyll (1.4.0-8) unstable; urgency=low

  * Add a Breaks field and update the version in the Replaces field for the
    icc-utils package (Closes: #694287)

 -- Christian Marillat <marillat@debian.org>  Sun, 25 Nov 2012 09:59:35 +0100

argyll (1.4.0-7) unstable; urgency=high

  * New patch 04_CVE-2012-4405.diff to fix CVE-2012-4405 issue
    (Closes: #687275)

 -- Christian Marillat <marillat@debian.org>  Tue, 11 Sep 2012 13:45:12 +0200

argyll (1.4.0-6) unstable; urgency=low

  * Use dh_autoreconf (Closes: #678909)

 -- Christian Marillat <marillat@debian.org>  Mon, 25 Jun 2012 07:52:56 +0200

argyll (1.4.0-5) unstable; urgency=low

   * Refresh 01_autotools-support patch (Closes: #678750).

 -- Christian Marillat <marillat@debian.org>  Mon, 25 Jun 2012 00:01:31 +0200

argyll (1.4.0-4) unstable; urgency=low

  * Should Build-Depends on libusb-dev (Closes: #670329).

 -- Christian Marillat <marillat@debian.org>  Wed, 25 Apr 2012 07:46:07 +0200

argyll (1.4.0-3) unstable; urgency=low

  * Fix kfreebsd build. Thanks to Robert Millan for the patch.
    (Closes: #595951 #630208).

 -- Christian Marillat <marillat@debian.org>  Tue, 24 Apr 2012 07:49:03 +0200

argyll (1.4.0-2) unstable; urgency=low

  * Move binaries from libicc2 package to a new icc-utils package (Closes:
    #670003).

 -- Christian Marillat <marillat@debian.org>  Sun, 22 Apr 2012 16:07:43 +0200

argyll (1.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 21 Apr 2012 15:53:50 +0200

argyll (1.3.7-1.1) unstable; urgency=low

  * Use DEB_LDFLAGS_MAINT_APPEND to add more LDFLAGS (Closes: #667924)

 -- Christian Marillat <marillat@debian.org>  Mon, 09 Apr 2012 10:45:56 +0200

argyll (1.3.7-1) unstable; urgency=low

  * New upstream release.
  * Try to fix the build (Thanks to Dmitry Nezhevenko) (Closes: #665055).
  * Move to debhelper 9 for multi-arch and hardened flags.

 -- Christian Marillat <marillat@debian.org>  Tue, 03 Apr 2012 08:46:37 +0200

argyll (1.3.6-3) unstable; urgency=low

  * Call dh_quilt_unpatch after MAKE distclean.
  * Rework Makefile test to be sure we don't call upstream Makefile with
    missing distclean target.

 -- Christian Marillat <marillat@debian.org>  Tue, 20 Mar 2012 14:44:40 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,11 @@
 Maintainer: Christian Marillat <marillat@debian.org>
 Uploaders: Xavier Oswald <xoswald@debian.org>
 Homepage: http://www.argyllcms.com/
-Vcs-Bzr: http://bzr.debian.org/pkg-phototools/argyll/debian/sid/
-Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-phototools/argyll/debian/sid/changes
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 9), libtiff4-dev, libx11-dev, libxxf86vm-dev,
  x11proto-xf86vidmode-dev, libxinerama-dev, libxrandr-dev, x11proto-scrnsaver-dev,
  libxss-dev, libusbhid-dev [kfreebsd-any], autoconf, automake | automaken, libtool,
- quilt
+ quilt, libjpeg-dev, libusb-dev, dh-autoreconf
 
 Package: argyll
 Architecture: any
@@ -45,9 +43,26 @@
  This package contains the debugging symbols for argyll, libicc and libimdi
  libraries
 
+Package: icc-utils
+Section: graphics
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks:   libicc2 (<< 2.12+argyll1.4.0-2)
+Replaces: libicc2 (<< 2.12+argyll1.4.0-2)
+Description: ICC profile I/O library
+ The icclib is a set of routines which implement the reading and  
+ writing of color profile files that conform to the International 
+ Color Consortium (ICC) Profile Format Specification, Version 3.4.
+ .
+ This package contains two utilities :
+ .
+  * iccdump : dump an ICC file in human readable form.
+  * icclu : translate colors through an ICC profile.
+
 Package: libicc-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libicc2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Conflicts: argyll (<< 1.0.3+dfsg1-3)
 Description: Development files for the ICC profile I/O library
@@ -62,6 +77,7 @@
 Package: libicc2
 Section: libs
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: argyll
@@ -73,6 +89,7 @@
 Package: libimdi-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libimdi0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Conflicts: argyll (<< 1.3.0-3)
 Description: Development files for the IMDI library
@@ -87,6 +104,7 @@
 Package: libimdi0
 Section: libs
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: argyll (<< 1.3.0-3)

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,17 @@
 #!/usr/bin/make -f
 
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,--no-undefined
+
 %:
-	dh $@ --with quilt
+	dh $@ --with quilt --with autoreconf
 
 # Doesn't work for now.
 #--parallel
 
 override_dh_auto_configure:
-	autoreconf -f -i
-	LDFLAGS="-Wl,--as-needed -Wl,--no-undefined" dh_auto_configure
+	chmod +x ./configure
+
+	dh_auto_configure
 
 override_dh_auto_clean:
 	dh_clean imdi/imdi_k.c ref/RefMediumGamut.gam \
@@ -17,13 +20,15 @@
 	libusb/libusb-config libusb/libusb.pc libusb/stamp-h1		\
 	libusb/tests/Makefile firmware-package-builder/*.tar.gz
 
-#	[ -z $(shell grep -c jam Makefile) ] || rm Makefile
+	[ ! $(shell grep jam Makefile) ] || rm Makefile
+
 	[ ! -f Makefile ] || $(MAKE) distclean
 
-#	-make distclean
+	find -name Makefile.in | xargs -r rm
 
 override_dh_auto_install: firmware-package-builder/spyder2.tar.gz
-	dh_auto_install
+	$(MAKE) install -i DESTDIR=$(CURDIR)/debian/tmp
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 
 	rm debian/tmp/usr/share/doc/argyll/DocLicense.txt
 	rm debian/tmp/usr/share/doc/argyll/License.txt
@@ -109,5 +114,3 @@
 	help2man -N --no-discard-stderr --name="Create VRML image of the gamut surface of a TIFF." /usr/bin/tiffgamut > debian/tiffgamut.1
 	help2man -N --no-discard-stderr --name="Convert Gretag/Logo or X-Rite ColorPport raw RGB or CMYK device profile data to Argyll CGATS data." /usr/bin/txt2ti3 > debian/txt2ti3.1
 	help2man -N --no-discard-stderr --name="Verify CIE values." /usr/bin/verify > debian/verify.1
-	help2man -N --no-discard-stderr --name="View gamuts." /usr/bin/viewgam > debian/viewgam.1
-	help2man -N --no-discard-stderr --name="Translate colors through an xicc." /usr/bin/xicclu > debian/xicclu.1

=== debian/watch ===
version=3

opts="dversionmangle=s/\+dfsg\d+$//" http://www.argyllcms.com/downloadsrc.html Argyll_V(.*)_src\.zip
